#!/bin/sh

set -e

if [ -z $1 ]; then
    echo "must at least supply the hostname"
    exit -1
fi

NSROOT=~/ns/src
SIMROOT=~/Projects/SWiFT/FastForward
VARS="pcs+eifs ff+qe+pcs+eifs ff+pcs+eifs qe+pcs+eifs"

RUNDIR=/tmp/dberger/sim

# if [ ! -f /tmp/dberger/ns.tar.gz ]; then
#     cd /tmp/dberger/
#     mkdir $$
#     cd $$
#     for var in ${VARS}; do
# 	cp ${NSROOT}/ns-2.26-${var}/ns ns-${var}
#     done
#     tar zcf ../ns.tar.gz ns-*
# fi

# if [ ! -f /tmp/dberger/tcl.tar.gz ]; then
#     cd ${SIMROOT}
#     tar zcf /tmp/dberger/tcl.tar.gz *.tcl
# fi

sshping $1

space=`ssh -x $1 df -k /tmp | grep ^/ | awk '{print $4}'`
                                                                                
if [ $space -lt 100000 ]; then
   echo "insufficient space, not touching this one"
   exit -1
fi

ssh -x $1 mkdir -p ${RUNDIR}/bin \; mkdir -p ${RUNDIR}/tcl \; mkdir -p ${RUNDIR}/out \; mkdir -p ${RUNDIR}/res

#scp -q /tmp/dberger/ns.tar.gz /tmp/dberger/tcl.tar.gz $1:${RUNDIR}
#let's not be silly - no need to copy the file onto each machine, is there?
ssh -x $1 cd ${RUNDIR}/tcl \; tar zxf \~/sim/tcl.tar.gz \; cd ${RUNDIR}/bin \; tar zxf \~/sim/ns.tar.gz 
